My Company

Set TCR CspId

PUT
/v1/MyCompany/cspId

Sets the CspId that is assigned to your Company by TCR. You cannot change the CspId once at least one TCR Brand and/or Campaign is shared by you with Telgorithm.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Request Body

application/json

A request to set company's CspId.

TypeScript Definitions

Use the request body type in TypeScript.

Request to set CspId for a Company.

Response Body

curl -X PUT "https://example.com/v1/MyCompany/cspId" \  -H "Content-Type: application/json" \  -d '{    "cspId": "S123ABC"  }'
{  "cspId": "S123ABC",  "cspIdCanBeChanged": false,  "tcrBrandSid": "string"}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}